Subject: Re: Pain points in Git's patch flow

From: "brian m. carlson" <[email-masked]>
Date: Wed, 28 Apr 2021 22:44:53 +0000

On 2021-04-28 at 07:59:27, Eric Wong wrote:
> "brian m. carlson" <[email-masked]> wrote:
> > I have tooling to automatically generate the proper range for
> > range-diffs in cover letters, but that tooling requires some sort of
> > manual timestamp, which means I need to go search for my previous series
> > to find the date and generate the range diff, or if I'm in a rush, I
> > just have to omit it.  This can take some time, having to guess what I
> > named the cover letter the last time and search for it in a mailbox with
> > a 6-digit quantity of mails[0].
> > 
> > In general, I have trouble keeping track of the patch mails I've sent.
> > I do definitely need to refer to them later, but I don't generally keep
> > them around on my system since they tend to duplicate my repository, so
> > I end up needing to find them in my mailbox, which as mentioned, is
> > slow and error prone.
> 
> Along the lines of what Ted said about Fcc, I've always Bcc-ed
> myself on every message I send to verify deliverability and
> check/train my spam filter.
> 
> What search tool do you use?  mairix can handle the 6-digit
> quantity of the git list fairly well.  The following finds all
> threads with "sandals" in From/To/Cc:
> 
> 	mairix -t a:sandals d:YYYYMMDD-YYYYMMDD

I simply use mutt to read my mailbox and search.  Nothing fancy.  I
should point out that it's not local; it's on a Dovecot IMAP server
located on a VPS in New York City.
-- 
brian m. carlson (he/him or they/them)
Houston, Texas, US